StatisticsHandler Class Referenceabstract

`#include <statisticshandler.h>`

## Public Member Functions

virtual | ~StatisticsHandler ()
virtual void | handleStatistics (const StatisticsStruct stats)=0

## Detailed Description

A virtual interface which can be reimplemented to receive connection statistics.

Derived classes can be registered as StatisticsHandlers with the ClientBase.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 63 of file statisticshandler.h.

## Constructor & Destructor Documentation

## ~StatisticsHandler()

virtual ~StatisticsHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 69 of file statisticshandler.h.

## Member Function Documentation

## handleStatistics()

virtual void handleStatistics | ( | const StatisticsStruct | stats | ) |

pure virtual

This function is called when a Stanza has been sent or received.

Parameters

  stats | The updated connection statistics.

The documentation for this class was generated from the following file:

- statisticshandler.h